org.apache.struts2.oval.interceptor

## Interface OValValidationManager

- All Known Implementing Classes:
    DefaultOValValidationManager

      public interface OValValidationManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<net.sf.oval.configuration.Configurer>` | `getConfigurers(Class clazz, String context, boolean validateJPAAnnotations)` This method 'collects' all the validator configurations for a given action invocation.

- - ### Method Detail

    - #### getConfigurers

          List<net.sf.oval.configuration.Configurer> getConfigurers(Class clazz,
                                                                    String context,
                                                                    boolean validateJPAAnnotations)

      This method 'collects' all the validator configurations for a given action invocation.

      It will traverse up the class hierarchy looking for validators for every super class and directly implemented interface of the current action, as well as adding validators for any alias of this invocation. Nifty!

      Given the following class structure:

             interface Thing;
             interface Animal extends Thing;
             interface Quadraped extends Animal;
             class AnimalImpl implements Animal;
             class QuadrapedImpl extends AnimalImpl implements Quadraped;
             class Dog extends QuadrapedImpl;

      This method will look for the following config files for Dog:

             Animal
             Animal-context
             AnimalImpl
             AnimalImpl-context
             Quadraped
             Quadraped-context
             QuadrapedImpl
             QuadrapedImpl-context
             Dog
             Dog-context

      Note that the validation rules for Thing is never looked for because no class in the hierarchy directly implements Thing.

      Parameters:
        `clazz` - the Class to look up validators for.
        `context` - the context to use when looking up validators. updated.
      Returns:
        a list of xml configurers for the given class and context.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.